<Editor::PageEditors @onDeselect={{this.selectPage}} @title={{this.selection.title}}>
  <:panel>
    <Manage::PageFrame class={{this.deviceSizeClass}}>
      <:header>
        <PageFrameHeader
          @model={{@model}}
          @deviceSize={{this.deviceSize}}
          @onChangeDeviceSize={{this.changeDeviceSize}}
          @conditions={{this.conditions}}
          @onChangeConditions={{this.changeConditions}}
          @onSave={{this.save}}
          @onClone={{@onClone}}
        />
      </:header>

      <:body>
        {{#unless @model.page.layoutContainers}}
          <div class="p-3 text-center empty-layout">
            <p>{{t "message-empty-layout"}}</p>
            <LinkTo
              class="btn btn-sm btn-outline-primary ms-2 btn-show-layout"
              @route="manage.pages.layout"
              @model={{@model.page.id}}
            >
              {{capitalize (t "edit layout")}}
            </LinkTo>
          </div>
        {{/unless}}

        <PageFrameEdit
          @conditions={{this.conditions}}
          @selection={{this.selection}}
          @onSelect={{this.select}}
          @model={{@model}}
          @deviceSize={{this.deviceSize}}
          @state={{@state}}
          @onChangeState={{@onChangeState}}
        />
      </:body>
    </Manage::PageFrame>
  </:panel>

  <:content>
    <Manage::PropertyPanel
      @deviceSize={{this.deviceSize}}
      @selection={{this.selection}}
      @model={{@model}}
      @onRevertPage={{this.revertPage}}
      @onSpaceChange={{this.spaceChange}}
      @onModelIdChange={{@onModelIdChange}}
    />
  </:content>
</Editor::PageEditors>